Subject: bug#865: 23.0.60; The directory is unsafe today

From: Francis Litterio <[email-masked]>
Date: Thu, 04 Sep 2008 11:56:39 -0400

Jason Rumney wrote:

> Eli Zaretskii wrote:
>>> From: Jason Rumney

>>>>   (or (eql (nth 2 attrs) (user-uid))
>>>>       (and (eq system-type 'windows-nt) (eql (nth 2 attrs) (user-gid)))

>>> I am trying to find a solution that will work without Lisp coders needing to
>>> be aware of the strange situation on Windows that files can be owned by a
>>> group.

>> I think the only good solution in that venue would be to have a new
>> primitive for such tests, and implement it on Windows so that it will
>> cater to this special case.  Any other solution is likely to lie about
>> the file's security attributes.

> We are telling a lie already by attempting to map ACLs to POSIX ownership. If we
> are going to attempt this, then it is better to tell a lie that fits with the
> expectations of POSIX (ie that owners of files are individual users).

Doesn't POSIX define both a user owner and group owner for each file?
Could a Windows file owned by a group be mapped to POSIX by showing the
Windows group as the POSIX group owner and a pseudo-user (e.g., nobody,
root, emacs) as the user owner?
--
Fran